Fix alpha build deployment
Closed, ResolvedPublic

Description

Getting invalid binary warnings after uploaded to iTC. iTC was updated, we might need to do T114281 to fix the problem.

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2015, 6:52 PM
JMinor triaged this task as High priority.Oct 5 2015, 8:46 PM
JMinor added a project: iOS-app-v5-alpha.
JMinor set Security to None.

The builds were broken due to multiple issues:

  • sigh has problems "forcing" ad hoc profiles, so we're no longer passing the force argument
  • Needed to use gym to disable bitcode when compiling both the app and its dependencies (see our Gymfile)
  • A couple of CI workarounds that are now documented on our Continuous Integration page:
    • Allowing xcodebuild access to the keychain
    • Specifying the PATH env var for running xctool

As a result I had to resolve both the blocking tasks attached to this ticket in order for alpha builds to work.

BGerstle-WMF closed this task as Resolved.Oct 7 2015, 9:10 PM